| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | List of all members
ColorizeAction Class Reference

An action for applying colorization based on a specific filter. More...

`#include <conversation_colorize_action.h>`

Inheritance diagram for ColorizeAction:

## Public Slots
void | setFieldFilter (const QByteArray field_filter)
| Sets the field filter directly.

## Public Member Functions
| ColorizeAction (QObject *parent)
| Constructs a new ColorizeAction.
const QByteArray | filter ()
| Retrieves the filter string as a byte array.
void | setColorNumber (int color_number)
| Sets the color number associated with this action.
int | colorNumber ()
| Retrieves the color number associated with this action.

## Detailed Description

An action for applying colorization based on a specific filter.

## Constructor & Destructor Documentation

## ◆ ColorizeAction()

ColorizeAction::ColorizeAction | ( | QObject * | parent | ) |
| inline

Constructs a new ColorizeAction.

Parameters

  parent | The parent QObject.

## Member Function Documentation

## ◆ colorNumber()

int ColorizeAction::colorNumber | ( |  | ) |
| inline

Retrieves the color number associated with this action.

Returns
  The current color number.

## ◆ filter()

const QByteArray ColorizeAction::filter | ( |  | ) |
| inline

Retrieves the filter string as a byte array.

Returns
  The filter byte array.

## ◆ setColorNumber()

void ColorizeAction::setColorNumber | ( | int | color_number | ) |
| inline

Sets the color number associated with this action.

Parameters

  color_number | The color number to apply.

## ◆ setFieldFilter

void ColorizeAction::setFieldFilter | ( | const QByteArray | field_filter | ) |
| inline slot

Sets the field filter directly.

Parameters

  field_filter | The filter string as a byte array.

The documentation for this class was generated from the following file:

- /builds/wireshark/wireshark/ui/qt/conversation_colorize_action.h